classification
Title: Nothing refers to footnote [1] on page "6. Simple Statements" in Language Reference
Type: Stage:
Components: Documentation Versions: Python 3.1, Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: MLModel, docs@python, georg.brandl, terry.reedy
Priority: normal Keywords:

Created on 2011-02-26 18:37 by MLModel, last changed 2011-03-06 09:52 by georg.brandl. This issue is now closed.

Messages (3)
msg129584 - (view) Author: Mitchell Model (MLModel) Date: 2011-02-26 18:37
I can't find a reference to footnote [1] on page "6. Simple Statements" in Language Reference. Either the footnote should be removed or a [1] link to it should appear on the page.
msg130073 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2011-03-04 20:55
Agreed. The footnote is "[1] It may occur within an except or else clause. The restriction on occurring in the try clause is implementor’s laziness and will eventually be lifted. "

I searched chapter for all occurences of '1' and also found no reference.
(And verified searching for '[#]' in .rst.) Nor can I think of what the footnote referred to. Unless someone else can, we should delete it.

Georg: should sphinx not noticed mismatch between # of footnote references and footnotes?
msg130150 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2011-03-06 09:52
Fixed in 949a099a87ca.  The detection of unused footnotes would be a docutils thing, not a Sphinx thing.
History
Date User Action Args
2011-03-06 09:52:00georg.brandlsetstatus: open -> closed

messages: + msg130150
resolution: fixed
2011-03-04 20:55:24terry.reedysetversions: + Python 3.3
2011-03-04 20:55:12terry.reedysetnosy: + georg.brandl, terry.reedy
messages: + msg130073
2011-02-26 18:37:38MLModelcreate